Summary: Synchronizes system time using the Network Time Protocol (NTP).
Name: xntp3
Version: 5.93
Release: 1.0.16
Copyright: distributable
Group: System Environment/Daemons
Source0: ftp://ftp.udel.edu/pub/ntp/xntp3-%{version}.tar.gz
Source1: ntp.conf
Source2: ntp.keys
Source3: xntpd.rc
Source4: ntp.step-tickers
Patch0: xntp3-5.93a.diff.gz
Patch1: xntp3-5.93b.diff.gz
Patch2: xntp3-5.93c.diff.gz
Patch3: xntp3-5.93d.diff.gz
Patch4: xntp3-5.93e.diff.gz
Patch10: xntp3-5.93-maxtc.patch
Patch20: xntp3-5.93-overflow.patch
URL: http://www.cis.udel.edu/~ntp
BuildRoot: /var/tmp/%{name}-root
Requires: initscripts >= 6.2-1.0.2
Prereq: /sbin/chkconfig

%description
The Network Time Protocol (NTP) is used to synchronize a computer's
time with another reference time source.  The xntp3 package contains
utilities and daemons which will synchronize your computer's time to
Coordinated Universal Time (UTC) via the NTP protocol and NTP servers.
Xntp3 includes ntpdate (a program for retrieving the date and time
from remote machines via a network) and xntpd (a daemon which
continuously adjusts system time).

Install the xntp3 package if you need tools for keeping your system's
time synchronized via the NTP protocol.

%prep 
%setup -q -n xntp3-%{version}
%patch0 -p1 -b .pata
%patch1 -p1 -b .patb
%patch2 -p1 -b .patc
%patch3 -p1 -b .patd
%patch4 -p1 -b .pate

%patch10 -p1 -b .maxtc
%patch20 -p0 -b .overflow

%build
%configure --sysconfdir=/etc --bindir=$RPM_BUILD_ROOT%{_prefix}/sbin
CFLAGS="$RPM_OPT_FLAGS" make

%install
rm -rf $RPM_BUILD_ROOT

make install prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc
strip $RPM_BUILD_ROOT/usr/sbin/* || :

mkdir -p $RPM_BUILD_ROOT/etc/{ntp,init.d}
install -m644 $RPM_SOURCE_DIR/ntp.conf $RPM_BUILD_ROOT/etc/ntp.conf
install -m600 $RPM_SOURCE_DIR/ntp.keys $RPM_BUILD_ROOT/etc/ntp/keys
install -m600 $RPM_SOURCE_DIR/ntp.step-tickers $RPM_BUILD_ROOT/etc/ntp/step-tickers
install -m755 %{SOURCE3} $RPM_BUILD_ROOT/etc/init.d/xntpd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add xntpd

%preun
if [ $1 = 0 ]; then
	/sbin/chkconfig --del xntpd
fi

%files
%defattr(-,root,root)
%attr(0640,root,admin)	%config /etc/ntp.conf
%config /etc/ntp/keys
%attr(0640,root,admin) %config /etc/ntp/step-tickers
%doc html/* NEWS TODO 
%attr(0750,root,admin) /usr/sbin/*
%attr(0700,root,root)	/etc/init.d/xntpd

%changelog
* Fri Apr 06 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 5.93, Release 1.0.16
  - Patched against buffer overflow in xntpd/ntp_control.c


* Tue Mar 27 2001 Ryan W. Maple <ryan@guardiandigital.com>
  - Updated initscript.


* Thu Mar 15 2001 Ryan W. Maple <ryan@guardiandigital.com>
  - Updated initscripts.


* Mon Dec 04 2000 Pete O'Hara <pete@guardiandigital.com>
- chmod 700 chgrp root /etc/init.d/xntpd

* Sun Dec 03 2000 Dave Wreski <dave@guardiandigital.com>
- use chkconfig --level 3 only

* Thu Nov 30 2000 Pete O'Hara <pete@guardiandigital.com>
- chmod 0750 /usr/sbin/* 

* Mon Nov 27 2000 Dave Wreski <dave@guardiandigital.com>
- removed /etc/sysconfig from xntp init file

* Tue Nov 21 2000 Pete O'Hara <pete@guardiandigital.com>
- changed to support not using /etc/sysconfig/network
	file - must be used with initscripts-6.2-1.0.12
	or higher

* Thu Nov 16 2000 Pete O'Hara <pete@guardiandigital.com>
- added default time servers terrapin.csc.ncsu.edu, 
	ntp1.kansas.net, ntp-cup.external.hp.com to
	ntp.conf 
- added default /etc/ntp/step-tickers file with IP addresses
	of above 

* Thu Oct 26 2000 Pete O'Hara <pete@guardiandigital.com>
- moved /etc/rc.d/* to /etc

* Fri Jul 28 2000 Pete O'Hara <pete@guardiandigital.com>
- removed world access to ntp.conf
- initial version

